Subject: Postfix MTA (was: RE: Anti-relay patch)

From: [email-masked] (James Seymour)
Date: Tue, 13 Jun 2000 14:49:10 -0400 (EDT)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

In <CAE0A17F1713D311A44500105A16C90B652C1D@BUSH>,
Malcolm Tester <[email-masked]> wrote:
[snip]
> ... I came across Postfix, which is a replacement MTA for Sendmail. (and is
> compatible).  I installed that, turned off smap/smapd/sendmail, and since
> then, I have not run into any problems with relay or hacking with the mail.
> So my answer is that you should try Postfix as an alternative.  The process
> you connect to on port 25 is not setuid root, and as far as I have been able
> to tell, causes no problems.  

Postfix, rather than being a monolithic solution like sendmail,
consists of a group of cooperating pieces that are coordinated via a
master daemon (kind of like smapd, only more so).  For example: smtpd
is a separate piece that is responsible only for the SMTP part of
things.  (Much like smap.)

>                               My question, on the other hand, is: Has anyone
> else on this list run Postfix in conjunction with TIS FWTK?  

Close.  I'm running it on my Gauntlet firewall.  (And I replaced the
T.REX MTA with Postfix, as well.)

>                                                              And if so, did
> you have any problems, or configuration issues?  

Nope and nope.  I installed Postfix on my Gauntlet firewall back on
Nov. 18.  It has given me no cause to regret the move yet.

>                                                  And did you turn off
> smap/smapd or leave them on?

Turned 'em off.  Don't need them anymore with the way Postfix is
designed, IMHO.  Not only does Postfix consist of separate, cooperating
pieces, but you can run them in a chroot'd jail if you want.

It doesn't hurt that Postfix is written by Wietse Venema.  One of the
better-known computer security people in the business.  (Does "tcp
wrapper" sound familiar? :-))

I replaced smap/smapd/sendmail with Postfix on my Gauntlet firewall for
a number of reasons.  Sendmail's line-noise-looking configuration being
one.  Smap/smapd leaving things laying about was another.  More
comprehensive anti-spam support was yet another.

The Postfix main web site is http://www.postfix.org, for those who may
be interested.

Regards,
Jim
-- 
Jim Seymour                         | Medar, Inc.
[email-masked]                  | 24775 Crestview Ct.
Systems & Network Administrator     | Farmington Hills, MI. 48335
                                    | FAX: (248)477-8897